function test_circunferencia3p

    radio_original = 1;
    centro_original = [1,2];
    
    o=-pi:1:pi;
    X=radio_original*cos(o)+centro_original(1);
    Y=radio_original*sin(o)+centro_original(2); 

    a = [X(1),Y(1)];
    b = [X(3),Y(3)];
    c = [X(5),Y(5)];

%    figure;
%    dibuja_circulo(centro_original,radio_original);
%    hold on;
%    plot(X,Y,'rx');

    [centro,radio] = circunferencia3p(a,b,c);

    assert_float_equal(radio,radio_original,'los radios tienen que coincidir',0.0001);
    assert_float_equal(centro(1),centro_original(1),'los centros tienen que coincidir',0.0001);
    assert_float_equal(centro(2),centro_original(2),'los centros tienen que coincidir',0.0001);
    
%    dibuja_circulo(centro,radio,'m--');

    %probamos calcular muchos circulos para ver si peta
    puntos = genera_puntos(10);
    combinaciones = nchoosek(1:10,3);
    for i = 1:size(combinaciones,1)
        [centro,radio] = circunferencia3p(puntos(combinaciones(i,1),:),puntos(combinaciones(i,2),:),puntos(combinaciones(i,3),:));
    end
    fprintf('\nnumero de circulos = %d',size(combinaciones,1));

    %probamos calcular muchos circulos para ver si peta
    puntos = genera_puntos(10,-50,50,-50,50);
    combinaciones = nchoosek(1:10,3);
    for i = 1:size(combinaciones,1)
        [centro,radio] = circunferencia3p(puntos(combinaciones(i,1),:),puntos(combinaciones(i,2),:),puntos(combinaciones(i,3),:));
    end
    fprintf('\nnumero de circulos = %d',size(combinaciones,1));

    %probamos calcular muchos circulos para ver si peta
    puntos = genera_puntos(10,-1,1,-1,1);
    combinaciones = nchoosek(1:10,3);
    for i = 1:size(combinaciones,1)
        [centro,radio] = circunferencia3p(puntos(combinaciones(i,1),:),puntos(combinaciones(i,2),:),puntos(combinaciones(i,3),:));
    end
    fprintf('\nnumero de circulos = %d',size(combinaciones,1));

    %probamos calcular muchos circulos para ver si peta
    puntos = genera_puntos(10,-0.1,0.1,-0.1,0.1);
    combinaciones = nchoosek(1:10,3);
    for i = 1:size(combinaciones,1)
        [centro,radio] = circunferencia3p(puntos(combinaciones(i,1),:),puntos(combinaciones(i,2),:),puntos(combinaciones(i,3),:));
    end
    fprintf('\nnumero de circulos = %d',size(combinaciones,1));

return
