%
% PRINCIPAL fichero principal de la prctica
%
%  PRINCIPAL genera una nube de puntos aleatoria y calcula su alpha-shape
%
function a_shape = principal

    fprintf('Clculo del alpha-shape de una coleccin de puntos\n');
    opcion = -1;
    while opcion < 1 | opcion > 2
        fprintf('Introduzca la opcin que desee:\n');
        fprintf(' 1. Leer fichero de puntos\n');
        fprintf(' 2. generar puntos aleatoriamente\n\n');
        opcion = input(' >');
    end
    %opcin lectura de ficheros
    if opcion == 1
        fprintf('\nIndique un fichero de puntos:');
	    % mostramos todos los ficheros de puntos del directorio de trabajo
    	D = dir('*.dat');
	    fprintf(1,'\n  Ficheros de ejemplo disponibles: \n');
    	for i = 1:length(D)
	    	fprintf(1,'    %2d: %s\n',i,D(i).name);
    	end
	
    	%Leemos el fichero que desea usar el usuario
	    f_num = input('   >');
    	while ~isnumeric(f_num) | f_num > length(D) | f_num < 1
    		fprintf(1,'\n  Introduzca un nmero de la lista: \n');
	    	f_num = input('   >');
    	end
	    fprintf(1,'\n  Abriendo el fichero %s\n',D(f_num).name);

        puntos = lee_puntos(D(f_num).name);

    else %opcion puntos aleatorios

        %pedimos al usuario que introduzca el nmero de puntos que quiere generar
        n = -1;
        while n < 3
            fprintf('\nIntroduzca el nmero de puntos: (mnimo 3)\n');
            n = input(' >');
        end
        puntos = genera_puntos(n);
    end

    %pedimos al usuario que introduzca alfa
    alfa = -1;
    while alfa <= 0
        fprintf('Introduzca el valor de alfa: (mayor que 0)\n');
        alfa = input(' >');
    end
    
    a_shape = alpha_shape(puntos,alfa);
    
    figure;
    dibuja_alpha_shape(a_shape);



return;
